package com.example.xmlparser;

import android.os.Bundle;
import android.app.ListActivity;
import android.app.ProgressDialog;
import android.content.DialogInterface;
import android.content.DialogInterface.OnCancelListener;

/* Sample class to load an XML data file and display the data in a list.
 * In principle, with a few modifications this class could handle most
 * XML data, but you would need to modify the "Item" class at the very 
 * least.
 */
public class MainActivity extends ListActivity
{
	// Sample data file for this particular definition of "Item"
	public static final String URL = "http://pirate.shu.edu/~wachsmut/Temp/items.xml"; 
	
	private XMLData adapter;
	private XMLLoader loader;
	private ProgressDialog progress = null;
	
	@Override
	protected void onCreate(Bundle savedInstanceState)
	{
		super.onCreate(savedInstanceState);

		// setting up the progress dialog (should run only one), but don't display
		progress = new ProgressDialog(this);
		progress.setMessage("Loading items, please wait ...");
		progress.setIndeterminate(true);
		progress.setOnCancelListener(new OnCancelListener()
		{
			@Override
			public void onCancel(DialogInterface dialog)
			{
				loader.cancelLoading();
			}
		});

		// defining the adapter containing the data and the loader to parse the
		// XML data and store the data in the adapter. Also shows and dismisses
		// the progress dialog as appropriate.
		adapter = new XMLData(this);
		loader = new XMLLoader(adapter, progress);
		
		setListAdapter(adapter);
		adapter.add(new XMLItem("XML data loading now ..."));

		// starting the background thread to load the data
		loader.execute(URL);
	}
}