package com.example.xmlparser;

import java.util.ArrayList;

import android.app.Activity;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.TextView;


// Standard class to store data in an ArrayList (for example) and to
// handle the communication with a list providing the view on that
// data. 

// You need to modify the getView method to provide your own customized
// look for the data items. Currently each item is shown as a String, for
// simplicity.
public class XMLData extends BaseAdapter
{
	private Activity activity;
	private ArrayList<XMLItem> data;
	
	public XMLData(Activity activity)
	{
		super();
		this.activity = activity;
		this.data = new ArrayList<XMLItem>();	
	}
	
	public void add(XMLItem item)
	{
		data.add(item);
	}

	public void clear()
	{
		data.clear();
	}
	
	@Override
	public int getCount()
	{
		return data.size();
	}

	@Override
	public Object getItem(int position)
	{
		return data.get(position);
	}

	@Override
	public long getItemId(int position)
	{
		return 0;
	}

	@Override
	public View getView(int position, View convertView, ViewGroup parent)
	{
		if (convertView == null)
			convertView = new TextView(activity);
		((TextView)convertView).setText(data.get(position).toString());
		return convertView;
	}
}